NormalizingReader (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util.svg
Class NormalizingReader

    java.lang.Object
      java.io.Reader
          com.mxgraph.util.svg.NormalizingReader

All Implemented Interfaces:
  Closeable, Readable

Direct Known Subclasses:
  StringNormalizingReader

    public abstract class NormalizingReader

extends Reader

This class represents a reader which normalizes the line break: \n, \r, \r\n are replaced by \n. The methods of this reader are not synchronized. The input is buffered.

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`NormalizingReader()`

Method Summary
`abstract int` | `getColumn()` Returns the current column in the stream.
`abstract int` | `getLine()` Returns the current line in the stream.
`int` | `read(char[] cbuf, int off, int len)` Read characters into a portion of an array.

Methods inherited from class java.io.Reader
`close, mark, markSupported, read, read, read, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalizingReader

    public NormalizingReader()

Method Detail

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Read characters into a portion of an array.

  Specified by:
    `read` in class `Reader`
  Parameters:
    `cbuf` - Destination buffer
    `off` - Offset at which to start writing characters
    `len` - Maximum number of characters to read
  Returns:
    The number of characters read, or -1 if the end of the stream has been reached
  Throws:
    `IOException`

### getLine

    public abstract int getLine()

  Returns the current line in the stream.

### getColumn

    public abstract int getColumn()

  Returns the current column in the stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.